#ifndef _UART_H_
#define _UART_H_

#ifndef  F_CPU
	#define F_CPU    8000000UL
#endif

#define BAUD    9600
#define UBRR    F_CPU/16/BAUD-1


//-----------------------------------------------------------------------------
//  Initialize USART0
//-----------------------------------------------------------------------------
void init_uart();

//-----------------------------------------------------------------------------
//  Transmit 1 byte data
//-----------------------------------------------------------------------------
void uart_putc(unsigned char c);

//-----------------------------------------------------------------------------
//  Transmit string data
//-----------------------------------------------------------------------------
void uart_puts(char *str);

//-----------------------------------------------------------------------------
//  Transmit four digit integer
//-----------------------------------------------------------------------------
void transmit_4digit_USART0(int num);

//-----------------------------------------------------------------------------
//  Receive 1 byte data
//-----------------------------------------------------------------------------
unsigned char receive_1byte_USART0(void);

//-----------------------------------------------------------------------------
//  Receive string with maxLen size
//-----------------------------------------------------------------------------
void uart_gets(unsigned char* buffer, unsigned int maxLen );

//-----------------------------------------------------------------------------
//  Flush uart
//-----------------------------------------------------------------------------
void uart_flush( void );


#endif //_UART_H_
